> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Member Pending Points

> Cancel manually the pending points for the loyalty card. The pending points are determined by the pending point ID.

Once canceled, the pending point entry with that ID is not listed by the endpoints: List member ([with campaign ID](/api-reference/loyalties/list-member-pending-points-with-campaign-id), [without campaign ID](/api-reference/loyalties/list-member-pending-points)), [List campaign pending points](/api-reference/loyalties/list-campaign-pending-points).

This **POST** method does not require a request body and it returns an empty, 204, response.

>👍 Configuring pending points
>
>Pending points are configured as part of an earning rule with [POST Create earning rule](/api-reference/loyalties/create-earning-rule) or [PUT Update earning rule](/api-reference/loyalties/update-earning-rule).



## OpenAPI

````yaml /openapi/loyalties.json post /v1/loyalties/members/{memberId}/pending-points/{pendingPointsId}/cancel
openapi: 3.0.1
info:
  title: Voucherify API - Loyalties
  version: v2018-08-01
  description: >-
    Voucherify promotion engine REST API. Please see
    https://docs.voucherify.io/docs for more details.
  contact:
    name: Voucherify Team
    url: https://www.voucherify.io/contact-support
    email: support@voucherify.io
  termsOfService: https://www.voucherify.io/legal/subscription-agreement
  license:
    name: MIT
    url: https://github.com/voucherifyio/voucherify-js-sdk/blob/main/LICENSE
servers:
  - url: https://{cluster}.voucherify.io
    description: Base URL
    variables:
      cluster:
        default: api
        enum:
          - api
          - us1.api
          - as1.api
          - download
          - us1.download
          - as1.download
security: []
paths:
  /v1/loyalties/members/{memberId}/pending-points/{pendingPointsId}/cancel:
    parameters:
      - schema:
          $ref: '#/components/schemas/ParameterMemberId'
        name: memberId
        in: path
        required: true
        description: Unique loyalty card code assigned to a particular customer.
      - schema:
          $ref: '#/components/schemas/ParameterString'
        name: pendingPointsId
        in: path
        required: true
        description: Unique pending point identifier, assigned by Voucherify.
    post:
      tags:
        - Loyalties
      summary: Cancel Member Pending Points
      description: >-
        Cancel manually the pending points for the loyalty card. The pending
        points are determined by the pending point ID.


        Once canceled, the pending point entry with that ID is not listed by the
        endpoints: List member ([with campaign
        ID](/api-reference/loyalties/list-member-pending-points-with-campaign-id),
        [without campaign
        ID](/api-reference/loyalties/list-member-pending-points)), [List
        campaign pending
        points](/api-reference/loyalties/list-campaign-pending-points).


        This **POST** method does not require a request body and it returns an
        empty, 204, response.


        >👍 Configuring pending points

        >

        >Pending points are configured as part of an earning rule with [POST
        Create earning rule](/api-reference/loyalties/create-earning-rule) or
        [PUT Update earning rule](/api-reference/loyalties/update-earning-rule).
      operationId: cancel-member-pending-points
      parameters: []
      responses:
        '204':
          description: Returns no content if the pending points are canceled successfully.
        '400':
          description: >-
            Returns an error if the pending points have been already activated
            or canceled.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Pending Points Already Activated:
                  value:
                    code: 400
                    key: invalid_pending_points_state
                    message: Invalid pending points state
                    details: >-
                      Only pending points in 'PENDING' status can be canceled.
                      Current status: 'ACTIVATED'.
                    request_id: v-0ffdf782ee2d7de9ac
                Pending Points Already Canceled:
                  value:
                    code: 400
                    key: invalid_pending_points_state
                    message: Invalid pending points state
                    details: >-
                      Only pending points in 'PENDING' status can be canceled.
                      Current status: 'CANCELED'.
                    request_id: v-0ffdf76cdeed7de98f
        '404':
          description: >-
            Returns an error if the member or pending point ID could not be
            found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Member Not Found:
                  value:
                    code: 404
                    key: not_found
                    message: Resource not found
                    details: Cannot find voucher with id NoSuchMemberId
                    request_id: v-0ffd717a332d7dc9e8
                    resource_id: NoSuchMemberId
                    resource_type: voucher
                Pending Points Not Found:
                  value:
                    code: 404
                    key: not_found
                    message: Resource not found
                    details: Cannot find pending_points with id lopp_0ffc655c85207fe9b
                    request_id: v-0ffdee011e1d507ba8
                    resource_id: lopp_0ffc655c85207fe9b
                    resource_type: pending_points
      security:
        - X-App-Id: []
          X-App-Token: []
        - X-Voucherify-OAuth:
            - api
            - loyalties
components:
  schemas:
    ParameterMemberId:
      type: string
      example: MmFAzfDe
    ParameterString:
      type: string
    Error:
      title: Error Object
      type: object
      description: Error details
      properties:
        code:
          type: integer
          description: Error's HTTP status code.
        key:
          type: string
          description: Short string describing the kind of error which occurred.
        message:
          type: string
          description: A human-readable message providing a short description of the error.
        details:
          type: string
          description: A human-readable message providing more details about the error.
        request_id:
          type: string
          example: v-0a885062c80375740f
          description: >-
            This ID is useful when troubleshooting and/or finding the root cause
            of an error response by our support team.
        resource_id:
          type: string
          description: >-
            Unique resource ID that can be used in another endpoint to get more
            details.
          example: rf_0c5d710a87c8a31f86
        resource_type:
          type: string
          description: The resource type.
          example: voucher
        error:
          type: object
          description: Includes additional information about the error.
          properties:
            message:
              type: string
              description: The message configured by the user in a validation rule.
      required:
        - code
        - message
  securitySchemes:
    X-App-Id:
      type: apiKey
      name: X-App-Id
      in: header
    X-App-Token:
      type: apiKey
      name: X-App-Token
      in: header
    X-Voucherify-OAuth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://api.voucherify.io/v1/oauth/token
          scopes:
            api: Gives access to whole server-side API.
            vouchers: >-
              Gives access to all endpoints and methods starting with
              `v1/vouchers`.
            client_api: Gives access to whole client-side API.
            client_vouchers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/vouchers`.
            promotions: >-
              Gives access to all endpoints and methods starting with
              `/v1/promotions`.
            client_promotions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/promotions`
            campaigns: >-
              Gives access to all endpoints and methods starting with
              `v1/campaigns`.
            client_publish: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/publish`.
            exports: >-
              Gives access to all endpoints and methods starting with
              `/v1/exports`.
            publications: >-
              Gives access to all endpoints and methods starting with
              `/v1/publications`.
            client_validate: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validate`.
            validations: >-
              Gives access to all endpoints and methods starting with
              `/v1/validations`.
            client_validations: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validations`.
            qualifications: >-
              Gives access to all endpoints and methods starting with
              `/v1/qualifications`.
            client_qualifications: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/qualifications`.
            client_redeem: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redeem
            redemptions: >-
              Gives access to all endpoints and methods starting with
              `/v1/redemptions`.
            client_redemptions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redemptions`
            customers: >-
              Gives access to all endpoints and methods starting with
              `/v1/customers`.
            client_customers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/customers`.
            orders: >-
              Gives access to all endpoints and methods starting with
              `/v1/orders`.
            products: >-
              Gives access to all endpoints and methods starting with
              `/v1/products`.
            skus: >-
              Gives access to all endpoints and methods starting with
              `/v1/SKUs`.
            validation-rules: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules`.
            validation-rules-assignments: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules-assignments
            segments: >-
              Gives access to all endpoints and methods starting with
              `/v1/segments`.
            events: >-
              Gives access to all endpoints and methods starting with
              `/v1/events`.
            client_events: >-
              Gives access to all endpoints and methods starting with
              `client/v1/events`.
            rewards: >-
              Gives access to all endpoints and methods starting with
              `/v1/rewards`.
            assets: >-
              Gives access to all endpoints and methods starting with
              `/v1/assets`.
            task-results: >-
              Gives access to all endpoints and methods starting with
              `/v1/task-results`.
            loyalties: >-
              Gives access to all endpoints and methods starting with
              `/v1/loyalties`.
            client_consents: >-
              Gives access to all endpoints and methods starting with
              `client/v1/consents`.
            consents: >-
              Gives access to all endpoints and methods starting with
              `/v1/consents`.
            async-actions: >-
              Gives access to all endpoints and methods starting with
              `/v1/async-actions`.
            product-collections: >-
              Gives access to all endpoints and methods starting with
              `/v1/product-collections`.
            categories: >-
              Gives access to all endpoints and methods starting with
              `/v1/categories`.
            metadata-schemas: >-
              Gives access to all endpoints and methods starting with
              `/v1/metadata-schemas`.
            locations: >-
              Gives access to all endpoints and methods starting with
              `/v1/locations`.
            referrals: >-
              Gives access to all endpoints and methods starting with
              `/v1/referrals`.
            trash-bin: >-
              Gives access to all endpoints and methods starting with
              `/v1/trash-bin`.
            templates: >-
              Gives access to all endpoints and methods starting with
              `/v1/templates`.

````